"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var Readme = require("./README/Container.md");
react_1.storiesOf('Core/Container', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Container, null,
            React.createElement(_1.Heading, null, "I am in a container"))));
})
    .add('Center Text', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Container, { align: 'center' },
            React.createElement(_1.Heading, null, "I am in a container"))));
});
