"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var logo = require("./assets/etcher.svg");
var Readme = require("./README/NavBar.md");
react_1.storiesOf('Core/Navbar', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    var Brand = (React.createElement(_1.Link, { color: 'white', href: '/' },
        React.createElement(_1.Img, { style: { height: '20px' }, src: logo })));
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Navbar, { brand: Brand, color: 'white' },
            React.createElement(_1.Link, { color: 'white', href: '/docs/' }, "Docs"),
            React.createElement(_1.Link, { color: 'white', href: '/changelog/' }, "changelog"),
            React.createElement(_1.Link, { color: 'white', href: '/gitter/' }, "gitter"))));
});
